<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    var i ="id";
    let arr8 = [
        { name: 'Spider-Man' },
        { name: 'Thor' },
        { name: 'Black Panther' },
        { name: 'Captain Marvel' },
        { name: 'Silver Surfer' }
    ]
    arr8.forEach((x, i) => x.id = i ++);
    console.log(arr8)
</script>
</html>